﻿using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware.NetduinoPlus;

using Microtoolskit.Hardware.Displays;

namespace MesureAngle
{
    public class Program
    {
        public static void Main()
        {
            // Constantes
            const UInt16 delay = 500;   // 500ms

            // Variables
            var N = 0;
            var Angle = 0.0;
            
            // Configuration des E/S
            OutputPort Led = new OutputPort(Pins.GPIO_PIN_A0, false);
            // http://msdn.microsoft.com/en-us/library/hh421132.aspx (Description de la classe AnalogInput)
            AnalogInput Potentiometre = new AnalogInput(Cpu.AnalogChannel.ANALOG_5); // Connecté sur I5 Tinkerkit
            // http://webge.github.io/ELCD162/ (Description de la classe ELCD162)          
            ELCD162 Lcd = new ELCD162(); // Connecté sur O5 Tinkerkit
            
            Lcd.Init(); Lcd.ClearScreen(); Lcd.CursorOff();
            
            while (true)
            {
                N = Potentiometre.ReadRaw();         
                Angle = (270 * N) / 4096;
                Lcd.ClearScreen();
                Lcd.PutString("Angle= " + Angle.ToString() + "deg"); 
                //Debug.Print("N= " + N.ToString() + "    " + Angle.ToString() + "°");
                if (Angle<120 || Angle>150)
                {
                    Led.Write(true);
                }
                else
                {
                    Led.Write(false);
                }
                Thread.Sleep(delay);
            }
        }
    }
}
